.types {
    margin-bottom: 45px;
    color: var(--dark-grey);
    font-size: 18px;
    line-height: 1;
}

.types__text {
    margin-top: 0;
    margin-bottom: 25px;
}

#params {
    width: 100%;
    display: flex;
    flex-direction: row;
    margin-bottom: 20px;
}

#param-one, #param-two {
    cursor: pointer;
    width: 50%;
    height: 40px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    font-size: 25px;
    font-weight: bold;
    line-height: 1;
    color: var(--white);
    background-color: var(--dark-green);
}

#param-one {
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
}

#param-two {
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
}

#param-one[disabled], #param-two[disabled] {
    opacity: 0.7;
}

.types__chosen-block {
    margin-bottom: 20px;
}

.types__block {
    margin-bottom: 40px;
}

.types__equal {
    cursor: pointer;
    display: inline-flex;
    flex-direction: row;
    align-items: center;
    font-size: 22px;
    line-height: 1;
    padding: 7px 10px;
    margin-bottom: 15px;
    border: 2px solid var(--dark-grey);
    border-radius: 10px;
    background-color: var(--light-grey);
}

.types__equal:hover {
    opacity: 0.7;
    transition: opacity .3s ease-in-out;
}

.types__equal:not(:hover) {
    opacity: 1;
    transition: opacity .3s ease-in-out;
}

.types__equal:not(:last-child) {
    margin-right: 15px;
}

.added-equal {
    border: none;
    color: var(--white);
    background-color: var(--dark-green);
}

.types__decor {
    width: 32px;
    height: 32px;
}

#complex-minus,
#complex-plus,
#numeqs_eq_minus,
#numeqs_eq_plus {
    width: 44px;
    height: 44px;
    padding: 7px;
    font-size: 27px;
    line-height: 1;
    color: #333333;
    border: 2px solid #333333;
    border-radius: 10px;
    background-color: transparent;
}

#complex-minus:not([disabled]):hover, #complex-plus:not([disabled]):hover,
#numeqs_eq_minus:not([disabled]):hover, #numeqs_eq_plus:not([disabled]):hover {
    transform: scale(1.1);
    transition: transform .3s ease-in-out;
}

#complex-minus:not([disabled]):not(:hover), #complex-plus:not([disabled]):not(:hover),
#numeqs_eq_minus:not([disabled]):not(:hover), #numeqs_eq_plus:not([disabled]):not(:hover) {
    transition: transform .3s ease-in-out;
}

.types__complexity {
    width: 50%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 40px;
}

.types__complexity-bars {
    width: 75%;
    height: 50px;
    display: flex;
    flex-direction: row;
}

.types__complexity-item {
    width: 20%;
    border-top: 2px solid var(--dark-grey);
    border-bottom: 2px solid var(--dark-grey);
    position: relative;
}

.types__complexity-item:after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0;
    height: 100%;
    -webkit-transition: .2s;
    transition: .2s;
}

.drawn:after {
    width: 100%;
}

.first-drawn:after {
    background-color: rgba(46, 139, 87, 0.2);
}

.second-drawn:after {
    background-color: rgba(46, 139, 87, 0.4);
}

.third-drawn:after {
    background-color: rgba(46, 139, 87, 0.6);
}

.fourth-drawn:after {
    background-color: rgba(46, 139, 87, 0.8);
}

.fifth-drawn:after {
    background-color: rgba(46, 139, 87, 1);
}

.types__time {
    height: 50px;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
}

.types__time-item {
    cursor: pointer;
    font-size: 25px;
    padding: 5px 7px;
    border-radius: 10px;
}

#modal_valid_equal_span {
    text-align: center;
}

#numeqs_eq {
    font-size: 40px;
    margin: 0 25px;
}

#numeqs_eq_desc {
    font-size: 18px;
    line-height: 1;
    margin-top: 0;
    margin-bottom: 15px;
}

#numeqs_eq_choice {
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-bottom: 30px;
}

@media (max-width: 1280px) {
    .types__complexity {
        width: 100%;
    }
}

@media (max-width: 768px) {
    #params {
        flex-direction: column;
    }

    #param-one, #param-two {
        width: 100%;
    }

    #param-one {
        border-bottom-left-radius: 0;
        border-top-right-radius: 10px;
    }
    
    #param-two {
        border-top-right-radius: 0;
        border-bottom-left-radius: 10px;
    }

    #numeqs_eq_desc {
        text-align: center;
    }

    #numeqs_eq_choice {
        justify-content: center;
    }
}

@media (max-width: 550px) {
    #complex-minus,
    #complex-plus {
        width: 34px;
        height: 34px;
        padding: 5px;
        font-size: 23px;
    }

    .types__complexity-bars {
        width: 70%;
    }
}

@media (max-width: 440px) {
    .types {
        margin-bottom: 100px;
    }

    .types__text {
        text-align: center;
    }

    .types__block {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .types__chosen-block {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .types__equal:not(:last-child) {
        margin-right: 0;
    }

    .types__time {
        flex-direction: column;
    }

    .types__time-item:not(:last-child) {
        margin-bottom: 12px;
    }
}